.tx-typo3forum {
    max-width: 100rem;
    padding: 2.5rem;
    margin: 0 auto;
    font-size: 1rem;
}

.tx-typo3forum .btn {
    font-size: 1rem;
}

/* Overview tables */

.tx-typo3forum h1 {
    font-family: var(--secondary_font);
}

.tx-typo3forum h2 {
    margin-top: 2rem;
    margin-bottom: 1.5rem;
}

.tx-typo3forum .breadcrumb {
    display: block;
    padding: 1rem 0 !important;
    margin-top: 1rem;
}

.tx-typo3forum .breadcrumb a i {
    padding-right: 0.25rem;
}

.tx-typo3forum .breadcrumb .divider {
    padding: 0 0.5rem;
}

.tx-typo3forum .breadcrumb .divider:first-of-type {
    padding-left: 0;
}

.tx-typo3forum .mt-5 {
    margin-top: 2rem;
}

.tx-typo3forum .table {
    width: 100%;
    margin-bottom: 4rem;
    border-bottom: 0.125rem solid var(--secondary_color_dark);
    border-spacing: 0;
}

.tx-typo3forum .table thead {
    background-color: var(--secondary_color_dark);
}

.tx-typo3forum .table td,
.tx-typo3forum .table th {
    padding: 0.75rem 1rem 0.75rem 1rem;
    text-align: left;
    font-size: 1rem;
}

.tx-typo3forum .table td a {
    color: var(--secondary_color_dark);
    text-decoration: underline;
    font-weight: bold;
}

.tx-typo3forum .table th {
    color: var(--white);
    border-left: 0.125rem solid var(--white);
}

.tx-typo3forum .table th:first-of-type {
    border-left: none;
}


/* Thread cards */

.tx-typo3forum > .card,
.tx-typo3forum form#report .col-12 > .card {
    margin-top: 2rem;
    margin-bottom: 2rem;
    border: 0.125rem solid var(--secondary_color_dark);
    width: calc(100% - 4rem);
    margin-left: auto;
}

.tx-typo3forum form#report .col-12 > .card {
    width: 100%;
}

.tx-typo3forum > .card.mb-4.text-white.bg-warning.border-4 {
    padding: 0.75rem 1rem;
    margin: 2rem 0;
    width: 100%;
    border: 0.125rem solid var(--primary_color_dark);
}

.tx-typo3forum > .card.mb-4.text-white.bg-warning.border-4 .card-body i {
    color: var(--primary_color_dark);
}

.tx-typo3forum > .card.mb-4.text-white.bg-warning.border-4 .card-body span {
    margin-left: 1rem;
}

.tx-typo3forum > .card.card-wrapper.bg-success .card-header div {
    padding: 0.75rem 1rem;
    border: none;
    background-color: #0a4a0a;
}

.tx-typo3forum > .card.card-wrapper.bg-success .card-header div i {
    color: var(--white);
}

.tx-typo3forum > .card.card-wrapper.bg-success .card-header div span {
    margin-left: 1rem;
    color: var(--white);
    font-size: 1.125rem;
}

.tx-typo3forum > .card .blockquote,
.tx-typo3forum form#report .col-12 > .card .blockquote {
    border: 0.0625rem solid var(--menu_border);
    background-color: var(--member_background);
    padding: 0.75rem;
    margin-top: 0.5rem;
    margin-bottom: 1rem;
}

.tx-typo3forum > .card:nth-child(3),
.tx-typo3forum form#report .col-12 > .card:nth-child(3) {
    width: 100%;
}

.tx-typo3forum > .card >.row,
.tx-typo3forum > .card.card-wrapper.bg-success > .card >.row,
.tx-typo3forum form#report .col-12 > .card >.row {
    display: flex;
    flex-direction: row-reverse;
    justify-content: flex-end;
}

.tx-typo3forum > .card >.row>div:last-of-type,
.tx-typo3forum > .card.card-wrapper.bg-success > .card > .row > div:nth-of-type(2),
.tx-typo3forum form#report .col-12 > .card >.row>div:last-of-type {
    background-color: var(--member_background);
    border-right: 0.125rem solid var(--secondary_color_dark);
    padding: 0 1rem 0.75rem 1rem;
    min-width: 13rem;
    width: 13rem;
    max-width: 13rem;
}

.tx-typo3forum > .card >.row>div:last-of-type .card-title,
.tx-typo3forum > .card.card-wrapper.bg-success > .card > .row > div:nth-of-type(2) .card-title,
.tx-typo3forum form#report .col-12 > .card >.row>div:last-of-type .card-title {
    background-color: var(--secondary_color_dark);
    padding: 0.75rem;
    margin: 0 -1rem 0.75rem -1rem;
    text-decoration: var(--white) underline;
}

.tx-typo3forum > .card >.row>div:last-of-type a,
.tx-typo3forum > .card.card-wrapper.bg-success > .card > .row > div:nth-of-type(2) a,
.tx-typo3forum form#report .col-12 > .card >.row>div:last-of-type a {
    color: var(--white);
    font-weight: bold;
    word-break: break-word;
}

.tx-typo3forum > .card >.row>div:last-of-type img,
.tx-typo3forum > .card.card-wrapper.bg-success > .card > .row > div:nth-of-type(2) img,
.tx-typo3forum form#report .col-12 > .card >.row>div:last-of-type img {
    margin: 0.5rem auto;
}

.tx-typo3forum > .card >.row>div:first-of-type,
.tx-typo3forum > .card.card-wrapper.bg-success > .card >.row>div:first-of-type,
.tx-typo3forum form#report .col-12 > .card >.row>div:first-of-type {
    padding: 2rem;
}

.tx-typo3forum > .card .card-footer,
.tx-typo3forum form#report .col-12 > .card .card-footer {
    background-color: var(--secondary_color_dark);
    padding: 0.75rem 1rem;
    color: var(--white)
}

.tx-typo3forum > .card .card-footer .row,
.tx-typo3forum form#report .col-12 > .card .card-footer .row {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 0.5rem 2rem;
}

.tx-typo3forum > .card .card-footer .row ul,
.tx-typo3forum form#report .col-12 > .card .card-footer .row ul {
    margin-bottom: 0;
    list-style: none;
}

.tx-typo3forum > .card .card-footer .row ul li,
.tx-typo3forum form#report .col-12 > .card .card-footer .row ul li {
    display: inline-block;
    margin-right: 1.5rem;
}

.tx-typo3forum > .card .card-footer .row ul li:last-of-type,
.tx-typo3forum form#report .col-12 > .card .card-footer .row ul li:last-of-type {
    margin-right: 0;
}


.tx-typo3forum > .card .card-footer .row ul li a,
.tx-typo3forum form#report .col-12 > .card .card-footer .row ul li a {
    color: var(--white);
}


@media screen and (max-width: 50rem) {

    .tx-typo3forum {
        padding: 2.5rem 1.5rem;
    }

    .tx-typo3forum > .card,
    .tx-typo3forum form#report .col-12 > .card {
        width: calc(100% - 1rem);
    }

    .tx-typo3forum form#report .col-12 > .card {
        width: 100%;
    }
}

@media screen and (max-width: 42rem) {

    .tx-typo3forum {
        padding: 2.5rem 1rem;
    }

    .tx-typo3forum > .card >.row,
    .tx-typo3forum > .card.card-wrapper.bg-success > .card >.row,
    .tx-typo3forum form#report .col-12 > .card >.row {
        flex-direction: column-reverse;
    }

    .tx-typo3forum > .card >.row>div:last-of-type,
    .tx-typo3forum > .card.card-wrapper.bg-success > .card >.row>div:last-of-type,
    .tx-typo3forum form#report .col-12 > .card >.row>div:last-of-type {
        position: relative;
        min-width: 100%;
        width: 100%;
        max-width: 100%;
        border-right: none;
        border-bottom: 0.125rem solid var(--menu_border);
    }

    .tx-typo3forum > .card >.row>div:last-of-type img,
    .tx-typo3forum > .card.card-wrapper.bg-success > .card >.row>div:last-of-type img,
    .tx-typo3forum form#report .col-12 > .card >.row>div:last-of-type img {
        margin: 0;
        position: absolute;
        left: 0;
        bottom: 0;
        height: calc(100% - 1rem);
        width: 5rem;
        object-fit: contain;
    }

    .tx-typo3forum > .card > .row>div:last-of-type .card-title,
    .tx-typo3forum > .card.card-wrapper.bg-success > .card > .row>div:last-of-type .card-title,
    .tx-typo3forum form#report .col-12 > .card > .row>div:last-of-type .card-title {
        background-color: unset;
        padding: 1rem 0 0.5rem 0;
        margin: 0;
        text-decoration: var(--secondary_color_dark) underline;
        text-align: left;
    }

    .tx-typo3forum > .card > .row>div:last-of-type .card-title a,
    .tx-typo3forum > .card.card-wrapper.bg-success > .card > .row>div:last-of-type .card-title a,
    .tx-typo3forum form#report .col-12 > .card > .row>div:last-of-type .card-title a {
        color: var(--secondary_color_dark);
        font-size: 1.125rem;
    }

    .tx-typo3forum > .card > .row>div:last-of-type .text-center > div,
    .tx-typo3forum > .card.card-wrapper.bg-success > .card > .row>div:last-of-type .text-center > div,
    .tx-typo3forum form#report .col-12 > .card > .row>div:last-of-type .text-center > div {
        padding-left: 6rem;
        text-align: left;
    }
}

@media screen and (max-width: 28rem) {

    .tx-typo3forum > .card .card-footer .row,
    .tx-typo3forum > .card.card-wrapper.bg-success > .card .card-footer .row,
    .tx-typo3forum form#report .col-12 > .card .card-footer .row {
        flex-direction: column;
    }
}


/* Answer Form */

.tx-typo3forum form#post .card,
.tx-typo3forum form#topic .card {
    border: 0.125rem solid var(--secondary_color_dark);
    border-top: none;
}

.tx-typo3forum form#post .card .card-header,
.tx-typo3forum form#topic .card .card-header {
    background-color: var(--secondary_color_dark);
}
.tx-typo3forum form#post .card .card-header h2,
.tx-typo3forum form#topic .card .card-header h3 {
    color: var(--white);
    padding: 0.75rem 1rem;
}

.tx-typo3forum form#post .card .card-body,
.tx-typo3forum form#topic .card .card-body {
    padding: 1rem;
}
.tx-typo3forum form#post .card .card-body .form-group,
.tx-typo3forum form#topic .card .card-body .form-group {
    margin: 1rem 0;
}

.tx-typo3forum form#post .card .card-body .form-group label,
.tx-typo3forum form#topic .card .card-body .form-group label {
    display: block;
    margin-bottom: 0.75rem;
    font-size: 1.25rem;
}

.tx-typo3forum form#post .card .card-body .form-group textarea,
.tx-typo3forum form#topic .card .card-body .form-group textarea {
    width: 100%;
    height: 15rem;
    resize: none;
    padding: 0.75rem;
    font-size: 1rem;
}

.tx-typo3forum form#topic .card .card-body .form-group #subject {
    width: 100%;
    height: auto;
    padding: 0.75rem;
    font-size: 1rem;
}

.tx-typo3forum form#post .card .card-body .form-group #newAttachments,
.tx-typo3forum form#topic .card .card-body .form-group #newAttachments {
    font-size: 1rem;
    vertical-align: center;
}

.tx-typo3forum form#topic .card .card-body .form-group #newAttachments::file-selector-button,
.tx-typo3forum form#post .card .card-body .form-group #newAttachments::file-selector-button {
    display: inline-block;
    margin-top: 1rem;
    font-weight: 400;
    text-align: center;
    touch-action: manipulation;
    cursor: pointer;
    padding: 0.625rem 1.125rem;
    line-height: 1.42857143;
    user-select: none;
    border-radius: 0.5rem;
    box-shadow: 0.625rem 0.625rem 0.4375rem -0.625rem rgba(0, 0, 0, 0.25);
    min-width: 8.75rem;
    transition: all 0.3s ease-out;
    border: 0.0625rem solid var(--black_button_color);
    background-color: var(--white);
    vertical-align: baseline;
    margin-right: 1rem;
}


/* Report Post */

.tx-typo3forum form#report > .card {
    border: 0.125rem solid var(--secondary_color_dark);
    padding: 1rem;
}

.tx-typo3forum form#report > .card .card-header  {
    margin-bottom: 1rem;
}

.tx-typo3forum form#report > .card .card-body textarea {
    width: 100%;
    height: 15rem;
    resize: none;
    padding: 1rem;
}